QGIS Application - Bug report #14232

select features in a spatialite view leads to wrong_results

2016-02-04 06:31 AM - Gerhard Spieles

Status: Closed

Priority: Low

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:master Regression?:
Operating System: Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corrupls data:

No
No

Copied to github as #: 22229

Description

When i select features in a spatialite view, wrong objects are selected
sample jpgs are attached

Related issues:
Related to QGIS Application - Bug report # 15600: Selecting features feature ...
Related to QGIS Application - Bug report # 19838: Cannot select correct featu...

Duplicated by QGIS Application - Bug report # 14327: Selection mismatch views...

Open
Closed
Closed

2016-09-21
2018-09-13
2016-02-18

Associated revisions

Revision f028c0bb - 2016-02-24 11:31 AM - Martin Dobias

[spatialite] use view's pkey if defined in meta table (fixes #14232)

Revision 42d88848 - 2016-03-06 01:13 PM - Martin Dobias

Improved fix for spatialite views (fixes #14232)

Revision 780¢5873 - 2016-03-19 12:24 PM - Martin Dobias

Improved fix for spatialite views (fixes #14232)

(cherry picked from commit 42d88848f3010365d2c9fcf84b3a8ed5d52749a1)

History

#1 - 2016-02-05 05:20 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression
- Operating System deleted (windows)

- OS version deleted (7)

confirmed on master, is ok on 2.8.6

#2 - 2016-02-24 02:59 AM - Martin Dobias
- Status changed from Open to Closed

2025-06-07

1/3




Fixed in changeset commit:"f028c0bb5898af12b81953210dabf2a26713095d".

#3 - 2016-03-18 04:17 AM - Arnold van 't Veld

- Status changed from Closed to Reopened

I'm trying in QGIS 2.14 to select a field (without pkey) and then | see the same prob again.

Is it obligatory to have a pkey in a spatialite table?

Actually, I'm now using a table create based on a view

#4 - 2016-03-19 05:12 AM - Martin Dobias
- Status changed from Reopened to Closed

Fixed in changeset commit:"780c5873f62cf60d040e776f622bc1ad4edb7e79".

#5 - 2016-03-19 05:13 AM - Martin Dobias

Backported to 2.14 branch in commit:780c5873f62cf60d040e776f622bc1ad4edb7e79

#6 - 2017-10-04 04:01 PM - Vincent Dionne

The same problem is present in 2.18.13 when adding a spatialite layer through DB MANAGER -SQL Query.

Easy to replicate: DB Manager => SQLITE => SQL window => Select * from your_layer => add layer.

Feature selection will be wrong again.

#7 - 2017-10-04 04:03 PM - Giovanni Manghi

- Description updated

- Priority changed from Severe/Regression to Low

Vincent Dionne wrote:

The same problem is present in 2.18.13 when adding a spatialite layer through DB MANAGER -SQL Query.

Easy to replicate: DB Manager => SQLITE => SQL window => Select * from your_layer => add layer.

Feature selection will be wrong again.

see also #15600

#8 - 2017-10-10 08:42 AM - Jiirgen Fischer
- Related to Bug report #15600: Selecting features feature in spatial views and virtual layers leads to wrong results added

#9 - 2018-09-15 10:59 AM - Jiirgen Fischer
- Related to Bug report #19838: Cannot select correct features in Virtual Layer added
